src/main/java/br/com/home/gestor/controller/ErrorController.java
package br.com.home.gestor.controller;

import java.io.PrintWriter;
import java.io.Serializable;
import java.io.StringWriter;
import java.sql.SQLException;
import java.util.Map;

import javax.faces.context.FacesContext;
import javax.inject.Named;
import javax.servlet.ServletException;

import org.springframework.context.annotation.Scope;

@Named
@Scope("request")
public class ErrorController implements Serializable{
	public String getStackTrace() {
		FacesContext context = FacesContext.getCurrentInstance();
		Map<String, Object> request = context.getExternalContext()
				.getRequestMap();
		Throwable ex = (Throwable) request.get("javax.servlet.error.exception");
		StringWriter sw = new StringWriter();
		PrintWriter pw = new PrintWriter(sw);
		fillStackTrace(ex, pw);
		return sw.toString();
	}

	private static void fillStackTrace(Throwable t, PrintWriter w) {
		if (t == null)
			return;
		t.printStackTrace(w);
		if (t instanceof ServletException) {
			Throwable cause = ((ServletException) t).getRootCause();
			if (cause != null) {
				w.println("Root cause:");
				fillStackTrace(cause, w);
			}
		} else if (t instanceof SQLException) {
			Throwable cause = ((SQLException) t).getNextException();
			if (cause != null) {
				w.println("Next exception:");
				fillStackTrace(cause, w);
			}
		} else {
			Throwable cause = t.getCause();
			if (cause != null) {
				w.println("Cause:");
				fillStackTrace(cause, w);
			}
		}
	}
}

src/main/webapp/pages/erro.xhtml
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
		xmlns:pretty="http://ocpsoft.com/prettyfaces"
        xmlns:ui="http://java.sun.com/jsf/facelets">
        
<h:head>
	<title>#{msgs.errorTile}</title>
</h:head>

<h:body>
	<h:form>
		<h:outputLabel value="Xiiiiiii... problema :(" />
		<h:graphicImage library="images" name="error.png" style="float: left;"/>
		<p>#{msgs.errorOccurred}</p>
		<p>#{msgs.copyReport}</p>
		<h:inputTextarea value="#{errorController.stackTrace}" rows="40" cols="180" readonly="true"/>
	</h:form>
</h:body>

</html>